Subject: bug#74876: 31.0.50; Force fringe refresh / force-window-update not affecting fringes

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Dec 2024 16:19:49 +0200

> From: Michal Nazarewicz <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 17 Dec 2024 14:20:52 +0100
> 
> On Tue, Dec 17 2024, Eli Zaretskii wrote:
> >> From: Michal Nazarewicz <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Mon, 16 Dec 2024 22:47:43 +0100
> >> 
> >> On Sun, Dec 15 2024, Eli Zaretskii wrote:
> >> > Thanks.  I don't think what you want can possibly work, unless we
> >> > completely redesign how the fringes are updated.
> >> 
> >> Well… there’s always the atomic option of calling redraw-frame.  Though
> >> I’ve found that changing an attribute of a font is sufficient.
> >> I believe what makes things work is setting f->face_change and calling
> >> fset_redisplay.
> >
> > Both methods are quite expensive, and will cause flickering in some
> > configurations,
> 
> Yes, I’ve figured as much, but it’s not like I have another choice.

You have: declare this feature impossible to implement in a reasonable
way, given the restrictions of the current display engine design and
implementation.

At the very least, I hope you will document this for the users, so
they are not surprised.